export declare class HighlightJsLineNumbers {
    static readonly TABLE_NAME: string;
    static readonly LINE_NAME: string;
    static readonly CODE_BLOCK_NAME: string;
    static readonly NUMBERS_BLOCK_NAME: string;
    static readonly NUMBER_LINE_NAME: string;
    static readonly DATA_ATTR_NAME: string;
    static readonly BREAK_LINE_REGEXP: RegExp;
    static isHljsLnCodeDescendant(domElt: any): boolean;
    static getHljsLnTable(hljsLnDomElt: any): any;
    static edgeGetSelectedCodeLines(selection: any): any;
    static addStyles(document: any): void;
    static isPluginDisabledForBlock(element: any): any;
    static lineNumbersBlock(element: any, options: any): void;
    static lineNumbersValue(document: any, value: any, options: any): any;
    static lineNumbersInternal(element: any, options: any): any;
    static addLineNumbersBlockFor(inputHtml: any, options: any): any;
    /**
     * @param {HTMLElement} element Code block.
     * @param {Object} options External API options.
     * @returns {Object} Internal API options.
     */
    static mapOptions(element: any, options: any): {
        singleLine: any;
        startFrom: number;
    };
    static getSingleLineOption(options: any): any;
    static getStartFromOption(element: any, options: any): number;
    /**
     * Recursive method for fix multi-line elements implementation in highlight.js
     * Doing deep passage on child nodes.
     * @param {HTMLElement} element
     */
    static duplicateMultilineNodes(element: any): void;
    /**
     * Method for fix multi-line elements implementation in highlight.js
     * @param {HTMLElement} element
     */
    static duplicateMultilineNode(element: any): void;
    static getLines(text: any): any;
    static getLinesCount(text: any): any;
    static async(func: any): void;
    /**
     * {@link https://wcoder.github.io/notes/string-format-for-string-formating-in-javascript}
     * @param {string} format
     * @param {array} args
     */
    static format(format: any, args: any): any;
    /**
     * @param {HTMLElement} element Code block.
     * @param {String} attrName Attribute name.
     * @returns {String} Attribute value or empty.
     */
    static getAttribute(element: any, attrName: any): any;
    /**
     * @param {String} str Source string.
     * @param {Number} fallback Fallback value.
     * @returns Parsed number or fallback value.
     */
    static toNumber(str: any, fallback: any): any;
}
